RubyGems Navigation menu

github_api 0.14.4

Ruby client that supports all of the GitHub API methods. It's build in a modular way, that is, you can either instantiate the whole api wrapper Github.new or use parts of it e.i. Github::Client::Repos.new if working solely with repositories is your main concern. Intuitive query methods allow you easily call API endpoints.

Versions:

  1. 0.14.4 - July 15, 2016 (136 KB)
  2. 0.14.3 - July 2, 2016 (136 KB)
  3. 0.14.2 - June 28, 2016 (136 KB)
  4. 0.14.1 - June 21, 2016 (136 KB)
  5. 0.14.0 - May 22, 2016 (134 KB)
Show all versions (83 total)

Development Dependencies:

Authors:

  • Piotr Murach

Owners:

Fb249d5564a0f8c5a0b69e0d71d58949

SHA 256 checksum:

bcbcdf415043d8e5c5a9c2ac7945b0d06271c74b2d03864b6021701dd07877a4

Total downloads 1,045,233

For this version 4,848

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 1.9.2

Links: